extends Resource
class_name Player_State

func restrict_movement() -> bool:
	return false

func on_movement_input(input: Vector2, player: Player):
	pass

func restrict_rotation() -> bool:
	return false

func on_rotation_input(input: float, player: Player):
	pass
